Bug 648741 - Digikam-1.5 won't open, dependency broken or package miscompiled.
Summary: Digikam-1.5 won't open, dependency broken or package miscompiled.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-02 00:52 UTC by balustre
Modified: 2010-11-04 23:39 UTC (History)
3 users (show)

Fixed In Version: akonadi-1.4.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 23:39:11 UTC
Type: ---


Attachments (Terms of Use)
Baktrace created when digikam crashed (11.64 KB, text/plain)
2010-11-02 00:52 UTC, balustre
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 255840 None None None Never

Description balustre 2010-11-02 00:52:13 UTC
Created attachment 457015 [details]
Baktrace created when digikam crashed

Description of problem: Digikam-1.5 won't open, dependency broken or package miscompiled.
bug initialy reported here : https://bugs.kde.org/show_bug.cgi?id=255840

Version-Release number of selected component (if applicable):
Application: digikam (1.5.0)
KDE Platform Version: 4.5.2 (KDE 4.5.2)
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-61.fc13.x86_64 x86_64
Distribution: "Fedora release 13 (Goddard)"

-- Information about the crash:
- What I was doing when the application crashed:
Open digikam, or plug the camera so that digikam opens.

digikam: symbol lookup error: /usr/lib64/libdigikamcore.so.1: undefined symbol:
_ZN11KDcrawIface19RawDecodingSettingsaSERKS0_

yet:
# yum provides libkdcraw.so.8
7:kdegraphics-libs-4.4.5-4.fc13.x86_64 : Runtime libraries for kdegraphics
Dépôt         : installed
Correspondance depuis :
Autre           :libkdcraw.so.8()(64bit)

How reproducible:
The crash can be reproduced every time.

Steps to Reproduce:
1. Open digikam


Additional info:
I think the problem is more related to the fedora package than to KDE, but
would like to se sure before reporting. In fact, problem was solved when i
updated Fedora 13 with all the other kde-testing packages :

attica-0.1.4-1.fc13, fedora-logos-13.0.2-2.fc13, kde-l10n-4.5.2-0.1.fc13,kde-l10n-French-4.5.2-0.1.fc13, kde-settings-4.4-21.fc13, kdegraphics-debuginfo-7:4.5.2-4.fc13, kdegraphics-libs-7:4.5.2-4.fc13, kdemultimedia-libs-6:4.5.2-1.fc13

so I assume that one of these packages was a dependency...

Comment 1 Rex Dieter 2010-11-02 14:56:23 UTC
Right, curable with system update.

Seems kdegraphics upstream added some new methods to libkdcraw, but chose not to bump it's soname.

Comment 2 Fedora Update System 2010-11-02 18:49:49 UTC
digikam-1.5.0-1.fc13.1,kphotoalbum-4.1.1-6.fc13,themonospot-gui-qt-0.1.3-7.fc13,kcm-gtk-0.5.3-5.fc13,kcm_touchpad-0.3.1-3.fc13,kdebase3-3.5.10-17.fc13,akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-8.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/digikam-1.5.0-1.fc13.1,kphotoalbum-4.1.1-6.fc13,themonospot-gui-qt-0.1.3-7.fc13,kcm-gtk-0.5.3-5.fc13,kcm_touchpad-0.3.1-3.fc13,kdebase3-3.5.10-17.fc13,akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-8.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13

Comment 3 Fedora Update System 2010-11-03 21:09:47 UTC
akonadi-1.4.0-3.fc13, attica-0.1.4-1.fc13, kde-l10n-4.5.2-1.fc13, kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2, kde-plasma-yawp-0.3.5-2.fc13, kdeaccessibility-4.5.2-1.fc13, kdeadmin-4.5.2-1.fc13, kdeartwork-4.5.2-1.fc13, kdebase-4.5.2-2.fc13, kdebase-runtime-4.5.2-3.fc13, kdebase-workspace-4.5.2-3.fc13, kdebindings-4.5.2-2.fc13, kdeedu-4.5.2-2.fc13, kdegames-4.5.2-1.fc13, kdegraphics-4.5.2-4.fc13, kdemultimedia-4.5.2-1.fc13, kdenetwork-4.5.2-1.fc13, kdepimlibs-4.5.2-1.fc13, kdeplasma-addons-4.5.2-1.fc13, kdesdk-4.5.2-1.fc13, kdetoys-4.5.2-1.fc13, kdeutils-4.5.2-1.fc13, oxygen-icon-theme-4.5.2-1.fc13, soprano-2.5.2-1.fc13, kphotoalbum-4.1.1-6.fc13, themonospot-gui-qt-0.1.3-7.fc13, kcm-gtk-0.5.3-5.fc13, kcm_touchpad-0.3.1-3.fc13, kdebase3-3.5.10-17.fc13, digikam-1.5.0-1.fc13.1, kdelibs-4.5.2-8.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update akonadi attica kde-l10n kde-plasma-networkmanagement kde-plasma-yawp kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdegraphics kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme soprano kphotoalbum themonospot-gui-qt kcm-gtk kcm_touchpad kdebase3 digikam kdelibs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/digikam-1.5.0-1.fc13.1,kphotoalbum-4.1.1-6.fc13,themonospot-gui-qt-0.1.3-7.fc13,kcm-gtk-0.5.3-5.fc13,kcm_touchpad-0.3.1-3.fc13,kdebase3-3.5.10-17.fc13,akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-8.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13

Comment 4 Fedora Update System 2010-11-04 23:38:01 UTC
akonadi-1.4.0-3.fc13, attica-0.1.4-1.fc13, kde-l10n-4.5.2-1.fc13, kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2, kde-plasma-yawp-0.3.5-2.fc13, kdeaccessibility-4.5.2-1.fc13, kdeadmin-4.5.2-1.fc13, kdeartwork-4.5.2-1.fc13, kdebase-4.5.2-2.fc13, kdebase-runtime-4.5.2-3.fc13, kdebase-workspace-4.5.2-3.fc13, kdebindings-4.5.2-2.fc13, kdeedu-4.5.2-2.fc13, kdegames-4.5.2-1.fc13, kdegraphics-4.5.2-4.fc13, kdemultimedia-4.5.2-1.fc13, kdenetwork-4.5.2-1.fc13, kdepimlibs-4.5.2-1.fc13, kdeplasma-addons-4.5.2-1.fc13, kdesdk-4.5.2-1.fc13, kdetoys-4.5.2-1.fc13, kdeutils-4.5.2-1.fc13, oxygen-icon-theme-4.5.2-1.fc13, soprano-2.5.2-1.fc13, kphotoalbum-4.1.1-6.fc13, themonospot-gui-qt-0.1.3-7.fc13, kcm-gtk-0.5.3-5.fc13, kcm_touchpad-0.3.1-3.fc13, kdebase3-3.5.10-17.fc13, digikam-1.5.0-1.fc13.1, kdelibs-4.5.2-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.